From 440f9724362c376807c36d814046015285e5c237 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Fri, 9 Dec 2016 13:49:18 -0800
Subject: [PATCH 3/3] Add valgrind suppression for logtape_write

This avoids having Valgrind report that logtape.c writes out
uninitialized memory.
---
 src/tools/valgrind.supp | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/src/tools/valgrind.supp b/src/tools/valgrind.supp
index af03051..775db0d 100644
--- a/src/tools/valgrind.supp
+++ b/src/tools/valgrind.supp
@@ -120,6 +120,15 @@
 	fun:RelationMapFinishBootstrap
 }
 
+{
+	logtape_write
+	Memcheck:Param
+	write(buf)
+
+	...
+	fun:LogicalTape*
+}
+
 
 # gcc on ppc64 can generate a four-byte read to fetch the final "char" fields
 # of a FormData_pg_cast.  This is valid compiler behavior, because a proper
-- 
2.7.4

